using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.OleDb;

namespace baoge
{
	/// <summary>
	/// gg 的摘要说明。
	/// </summary>
	public class gg : System.Web.UI.Page
	{
		public int CID;
		public string ATitle;
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.Label Label3;
		protected System.Web.UI.WebControls.Label Label4;
		protected System.Web.UI.WebControls.Label Label2;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if(!IsPostBack)
			{
				NewsBodyB();
				

			}
		}
		private void NewsBodyB()
		{
			
			int CID=Convert.ToInt32(Request.QueryString["ID"]);
			//取得数据库路径
			string dbPath=System.Configuration.ConfigurationSettings.AppSettings["dbPath"];
			//定义连接字符串
			string ACconnStr="Provider=Microsoft.Jet.OleDb.4.0;Data Source="+Server.MapPath(dbPath);
			//创建数据库对像
			OleDbConnection ACconn=new OleDbConnection(ACconnStr);


			ACconn.Open();
			string ACsql="select * from GonGao where ID="+CID;
			//创建Command对像
			OleDbCommand ACcomm=new OleDbCommand(ACsql,ACconn);
			//通过执行Command实例化DataReader类
			OleDbDataReader ACdrr=ACcomm.ExecuteReader();
			if(ACdrr.Read ())
			{
				this.Label1.Text=ACdrr["Title"].ToString();
				this.Label2.Text=ACdrr["GonGao"].ToString();
                this.Label3.Text=ACdrr["zuozhe"].ToString();
				this.Label4.Text=ACdrr["Addtime"].ToString().Substring(0,8);
			
				ATitle=Label1.Text.ToString();
			}
			ACdrr.Close();
			ACconn.Close();

		}
		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion
	}
}
